# How to Send HTML Emails in Rust via SMTP

In this article, you will learn how to send HTML emails in Rust using the Simple Mail Transfer Protocol (SMTP). We'll begin by creating HTML templates using the Handlebars templating engine. While there are other template options in Rust, we'll focus on Handlebars because it's widely used and reliable.

![How to Send HTML Emails in Rust via SMTP](https://codevoweb.com/wp-content/uploads/2023/05/How-to-Send-HTML-Emails-in-Rust-via-SMTP.webp)

## Topics Covered

- Run the Rust Project on your Machine
- Setup the Rust Project
- Build the HTML Email Templates
    - Create the Base Template
    - Create the CSS Styles Partial Template
    - Create the Email Verification Template
    - Create the Password Reset Template
- Load the Environment Variables
- Create a Struct to Send the HTML Emails
    - Initialize the Email Struct
    - Method to Create an SMTP Transport
    - Method to Render the HTML Templates
    - Method to Send the Emails
    - Send the Account Verification Email
    - Send the Password Reset Email
    - The Complete Code of the Email File
- Send the Emails from the Main Function
- SMTP Provider to Send Development Emails
- SMTP Provider to Send Real Emails
- Conclusion

Read the entire article here: [https://codevoweb.com/how-to-send-html-emails-in-rust-via-smtp/](https://codevoweb.com/how-to-send-html-emails-in-rust-via-smtp/)
